@import url('https://fonts.googleapis.com/css2?family=Cabin:ital,wght@0,400..700;1,400..700&family=Crimson+Text:ital,wght@0,400;0,600;1,600&family=Domine:wght@400..700&family=Fredoka:wght@300..700&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Karla:ital,wght@0,200..800;1,200..800&family=Libre+Baskerville:ital,wght@0,400;0,700;1,400&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Oswald&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    padding: 0px;
    margin: 0px;
    box-sizing: border-box;
    font-family: "Inter", sans-serif;
}

:root {
    --min-color: #025595;
    --second-color: #EFF8FF;
    --paragraph: #22222280;
}

header {
    height: 100vh;
    

    nav {
        display: flex;
        justify-content: space-between;
        align-items: center;
        position: fixed;
        z-index: 9999;
        width: 100vw;
        padding: 17px 70px;
        background-color: var(--second-color);

        ul {
            display: flex;
            justify-content: center;
            gap: 30px;

            li {
                list-style: none;

                a {

                    text-decoration: none;
                    color: black;
                }

            }
        }

        button {
            padding: 13px 20px 13px 10px;
            border-radius: 6px;
            height: 38px;
            width: 135px;
            background-color: var(--min-color);
            color: var(--second-color);
            border: none;
        }



        .bars {
            padding: 17px 70px;
            width: 25px;
            display: none;
            border: none;
            background: none;


        }

    }

    .hero {
        height: 100%;
        padding: 70px;
        background-color: var(--second-color);
        background-image: url(./images/resident.png);
        background-repeat: no-repeat;
        background-position: 619px 168px;

        .hero-min {

            .text-hero {
                margin-top: 90px;
                h1 {
                    max-width: 549px;
                    max-height: 160px;
                    margin-top: 32px;
                    font-size: 60px;
                    font-weight: 700;
                }

                p {
                    max-width: 423px;
                    margin-top: 20px;
                    font-size: 16px;
                    color: var(--paragraph);

                }

                .details {
                    max-width: 866px;
                    min-height: 100px;
                    margin-top: 100px;

                    border-radius: 16px;
                    gap: 24px;
                    background-color: #FFFFFFCC;
                    backdrop-filter: blur(16px);

                    .info {
                        display: flex;
                        justify-content: space-between;
                        align-items: center;
                        padding: 20px 58px;
                       

                        .card {
                            display: flex;

                            .icon {
                                width: 60px;
                                height: 60px;
                                display: flex;
                                justify-content: center;
                                align-items: center;
                                background-color: #02559527;
                                border-radius: 50%;
                            }

                            .text {
                                margin: 1px 20px;

                                h2 {
                                    font-size: 16px;

                                }

                                p {
                                    font-size: 16px;
                                    font-weight: 400;

                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

.works {
    padding: 94px 70px;



    p {
        font-family: Inter;
        font-weight: 400;
        font-size: 15px;
        line-height: 26px;
        color: var(--paragraph);
        padding-top: 5px;
    }

    .container {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding-top: 56px;
        height: 257px;

        .card {
            max-width: 380px;
            max-height: 255px;
            padding: 30px 40px 80px 40px;
            border-radius: 15px;

            h2 {
                margin-top: 21px;
                font-weight: 600;
                font-size: 22px;
                line-height: 100%;


            }

            p {
                padding-top: 10px;
                font-weight: 400;
                font-size: 14px;
                line-height: 24px;

            }

            cursor: pointer;

            .icon-svg {
                .icon {
                    color: var(--min-color);
                }

                .icon-white {
                    color: var(--min-color);
                    /* color: #FFFFFF; */
                }
            }


          

            &:active {
                background-color: var(--min-color);
                color: white;

                P {
                    color: white;
                }

                .icon {
                    color: #FFFFFF;
                }

                .icon-white {
                    color: #FFFFFF;
                }

            }
        }

    }
}

.dream {
    height: 380px;
    position: relative;
    background-image: url(./images/dream.png);
    background-size: cover;
    background-position:  65%  center;
    background-repeat: no-repeat;
    z-index: 1;

    &::before {
        content: "";
        position: absolute;
        inset: 0;
        background: rgba(0, 0, 0, 0.4);
        z-index: -1;
    }

    h1 {
        padding-bottom: 58px;
        font-size: 70px;
        color: #FFFFFF;
        text-align: center;
    }

    p {
        padding: 0px 380px;
        text-align: center;
        font-size: 30px;
        color: #FFFFFF;
        line-height: 26px
    }

}

.most {
    padding: 0px 70px;

    .text-most {
        padding: 94px 0px 56px 0px;

        p {
            color: #22222280;
            padding-top: 5px;

        }

    }

    .container {
        display: flex;
        gap: 25px;
        flex-wrap: wrap;


        .card {
            max-width: 382px;
            max-height: 447px;
            background-color: #FFFFFF;
            box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
            border-radius: 10px;
            padding: 20px;

            img {
                max-width: 100%;
            }

            .price {
                color: var(--min-color);

                font-weight: 600;
                font-style: Semi Bold;
                font-size: 18px;
                line-height: 28px;

            }

            h2 {

                font-weight: 600;
                font-style: Semi Bold;
                font-size: 18px;
                line-height: 29px;
                padding: 0px 100px 38px 0px;
            }

            p {
                display: flex;
                align-items: center;
                font-weight: 400;
                font-size: 14px;
                line-height: 20px;
                padding: 0px 20px 0px 0px;

                img {
                    padding: 0px 2px 0px 0px;
                }

            }
        }
    }
}

.best {
    padding: 41px 70px 94px;
    

    p {
        padding-top: 5px;
        font-size: 16px;
        color: var(--paragraph);
    }

    .filter {
        display: flex;
        align-items: center;
        gap: 50px;
        white-space: nowrap;

        .border-button {
            color: var(--min-color);
            border-bottom: 2px solid var(--min-color);
            padding-bottom: 13px;
            margin-bottom: 43px;
        }

        button {
            border: none;
            background: none;
            font-size: 18px;
            font-weight: 400;
            line-height: 100%;
            margin: 56px 0px;

            &:active {
                flex-shrink: 0px;
                color: var(--min-color);
            }
        }
    }

    .container {
        display: flex;
        gap: 31px;

        .card {
            max-width: 387px;
            position: relative;
            margin-bottom:0px;

            img {
                height: 100%;
                width: 100%;
                border-radius: 5px;
                
            }
        }

        .tools {
            position: absolute;
            top: 14px;
            left: 15px;
            display: flex;
            gap: 7px;

            h2 {
                font-weight: 400;
                font-size: 12px;
                line-height: 100%;
                letter-spacing: 0%;
                text-align: center;
                border: 1px solid #FFFFFF;
                padding: 6px 12px 5px 12px;
                border-radius: 5px;
                background-color: #22222266;
                color: #FFFFFF;
            }

        }

    }

}

footer {
    .all-footer {
       
        .container {

            display: flex;
            gap: 60px;
            margin: 0px 70px;
            padding: 35px 0 24px 0;
            border-bottom: 1px solid #2222221A;

            .paragraph {
                padding: 20px 0px 35px 0px;

                p {
                    padding-bottom: 16px;
                }
            }

            .flora {

                /* max-width: 352px; */
                img {
                    padding-bottom: 26px;
                }

                p {
                    font-weight: 400;
                    font-size: 16px;
                    line-height: 26px;
                    letter-spacing: 0%;
                    color: var(--paragraph);
                    max-width: 351px;

                }
            }

            .our-location {
                p {
                    padding: 20px 0 16px 0;
                }

                .socail-icon {
                    display: flex;
                    gap: 16px;

                }

                .social {
                    width: 48px;
                    height: 48px;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    border-radius: 50%;
                    background-color: var(--min-color);
                }
            }
        }

        .footer-flora {
            padding: 24px 70px;
            display: flex;

            p {
                font-weight: 400;
                font-size: 14px;
                line-height: 100%;
                letter-spacing: 2%;


            }

            .Reserved {
                padding-right: 642px;

            }

            .footer-end {
                display: flex;

                .left-p {
                    padding-left: 30px;
                }
            }


        }

    }


}




@media screen and (max-width:992px) {
    h1 {
        font-weight: 700;
        font-size: 30px;
        line-height: 100%;
    }

    header {
        width: 100%;
        nav {
            padding: 30px 20px;

            ul {
                display: none;
            }

            button {
                display: none;
            }

            .bars {
                display: block;
                padding: 30px 20px;
            }
        }

        .hero {
            height: 701px;
            padding-left: 0px;
            padding-right: 0px;
            background-size: contain;
            background-position: 0px 198px;

            .hero-min {
                .text-hero {
                    margin-top: 40px;
                    h1 {
                        font-size: 35px;
                        line-height: 46px;
                        padding: 0 20px;
                    }

                    p {
                        font-size: 14px;
                        font-weight: 400;
                        line-height: 20px;
                        padding: 0 20px;
                    }

                    .details {
                        width: 100%;
                        border-radius: 0px;
                        margin-top: 35px;
                        padding: 0px !important;


                        .info {
                            flex-direction: column;
                            display: block;
                            padding-left: 20px !important;
                            margin-top: 121px;

                            .card {
                                margin-top: 24px;

                                .text {

                                    h2 {
                                        font-size: 16px;
                                        font-weight: 500px;

                                    }

                                    p {
                                        font-size: 15px;
                                        font-weight: 400;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }

    }

    .works {
        padding: 152px 20px 50px 20px;

        .text-work {
            padding-top: 64px;

            /* padding: 20px; */
            h1 {
                font-size: 30px;
            }

            p {
                font-size: 14px;
            }
        }

        .container {
            display: inline;

            .card {
                /* margin: 20px; */
                padding: 15px 18px 34px 18px;
                width: 100%;
            }

            .back {
                background-color: var(--min-color);
                border-radius: 10px;
            }

        }
    }

    .dream {
        padding: 133px 20px 11px;

        h1 {
            padding-bottom: 0px;
            font-size: 30px;
            line-height: 56px;
        }

        p {

            font-weight: 400;
            font-size: 15px;
            line-height: 26px;
            text-align: center;
            padding: 15px 10px 10px 10px;

        }

    }

    .most {
        padding: 0px 20px;

        .container {
            display: block;


            .card {
                padding: 16px;
                margin-bottom: 20px;

                h2 {
                    font-size: 16px;
                    font-weight: 600px;
                    line-height: 27px;
                    padding-right: 44px;
                }

                p {
                    font-size: 12px;
                    padding: 0px;
                }
            }
        }
    }

    .best {
        padding: 16px 20px 10px 20px;
        height: 982px;
        
       

        h1 {
            font-size: 30px;
            line-height: 100%;
            width: 310px;
        }

        p {
            font-size: 12px
        }

        .filter {
            gap: 30px;
            overflow: auto;
            button {
                font-size: 16px;
                font-weight: 400;
                line-height: 100%;


            }
        }
        .container {
            display: block;
            

            card {  
                margin-bottom: 12px;
              
            }

        }
       
        
    }

    footer {

        .all-footer {
          

            h1 {
                font-size: 20px;
            }

            .container {

                display: block;
                gap: 30px;
                margin: 0px 20px;

                .flora {
                    padding-top: 26px;
                    padding-bottom: 32px;

                    img {

                        height: 72px;
                    }
                }
            }

            .footer-flora {
                padding: 0px;
                display: block;

                p {
                    font-weight: 400;
                    font-size: 16px;
                    line-height: 100%;
                    letter-spacing: 2%;

                }

                .Reserved {
                    padding-right: 24px;
                    padding: 16px 0px 16px 11px;

                }

                .footer-end {
                    display: flex;
                    padding: 0px 40px 27px 26px
                }
            }

        }
    }


}